Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class TreeMapper

    java.lang.Object
      de.grogra.util.AbstractTreeMapper
          de.grogra.util.TreeMapper

All Implemented Interfaces:
  Disposable, java.util.EventListener, javax.swing.event.TreeModelListener

    public class TreeMapper

extends AbstractTreeMapper

Field Summary

Fields inherited from class de.grogra.util.AbstractTreeMapper
`root, source, target`

Constructor Summary
`TreeMapper(javax.swing.tree.TreeModel source, java.lang.Object root, MappedTreeModel target, java.util.Comparator comparator)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object sourceNode, java.lang.Object targetParent)`
`protected void` | `disposeImpl()`
`protected void` | `disposeTree(java.lang.Object node)`
`protected boolean` | `isImage(java.lang.Object sourceNode, java.lang.Object targetNode)`
`protected void` | `nodeRemoved(java.lang.Object node)`
`protected void` | `targetChanged(java.lang.Object parent)`

Methods inherited from class de.grogra.util.AbstractTreeMapper
`createAndInsert, dispose, filter, getImage, getSourceTree, installListener, map, setFilter, sourceNodesEqual, treeNodesChanged, treeNodesInserted, treeNodesRemoved, treeStructureChanged, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeMapper

    public TreeMapper(javax.swing.tree.TreeModel source,
                      java.lang.Object root,
                      MappedTreeModel target,
                      java.util.Comparator comparator)

Method Detail

### createNode

    protected java.lang.Object createNode(java.lang.Object sourceNode,
                                          java.lang.Object targetParent)

  Specified by:
    `createNode` in class `AbstractTreeMapper`

### disposeImpl

    protected void disposeImpl()

  Overrides:
    `disposeImpl` in class `AbstractTreeMapper`

### disposeTree

    protected void disposeTree(java.lang.Object node)

### isImage

    protected boolean isImage(java.lang.Object sourceNode,
                              java.lang.Object targetNode)

  Specified by:
    `isImage` in class `AbstractTreeMapper`

### nodeRemoved

    protected void nodeRemoved(java.lang.Object node)

  Overrides:
    `nodeRemoved` in class `AbstractTreeMapper`

### targetChanged

    protected void targetChanged(java.lang.Object parent)

  Overrides:
    `targetChanged` in class `AbstractTreeMapper`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD